<?php
header('Cache-Control: no-cache');
header('Pragma: no-cache'); 
?>
	
    
    
<script>
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
		
		
function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 2) ? 0 : i + 2; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }




	  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27 	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==118){ 

						pagacon=document.getElementById("basetotpago2").value;
						parent.document.getElementById("pagacon").value=pagacon;
						parent.document.getElementById("pagacon").focus();

 } // f8 guardar e imprimir 
//if(num==121) validar_Recibo();
	    //f10 guardar e imprimir 

  }  
  }
	
	
	
	

var fila = 0;
function pulsar(e) {
  tab = document.getElementById('Table1');
  filas = tab.getElementsByTagName('tr');
  if (e.keyCode==38 && fila>0) num=-1;
   else if(e.keyCode==40 && fila<filas.length-1) num=1;
   else return;
  filas[fila].style.background = 'white';
  fila+=num;
  filas[fila].style.background = 'yellow';
  
}



salact=""
monabo=""
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar_Monto(salact,monabo);		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)

	
	function pon_prefijo(baseporpagar,basetotpago) {
	parent.document.form_busqueda.saldoporpagar.value=baseporpagar;		
	parent.document.form_busqueda.totalpago.value=basetotpago;
	parent.document.form_busqueda.monabo.value="0.00"; //    cambio version   8.0.2
	parent.document.form_busqueda.pagacon.value="0.00";
	parent.document.form_busqueda.vuelto.value="0.00";



}

		function inicio() {
    var elmnt = document.getElementById("xdetalleAW");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft = posicion;
    elmnt.scrollTop = posicion;
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
	
</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton(); inicio();">
<?php 

include ("../conexion.php");
 $cdgcli =$_POST["cdgcli"];
 $numrec =$_POST["numrec"];
 $precio =$_POST["monabo"];
 $preciototal = str_replace (",","",$precio);
 if (!isset($_POST["tazint"])) { $tazint=""; } else  {  $tazint=$_POST["tazint"]; }
 if (!isset($_POST["pordes"])) { $pordes=""; } else  {  $pordes=$_POST["pordes"]; }
 if (!isset($_POST["descuento"])) { $descuento=""; } else  {  $descuento=$_POST["descuento"]; }
 if (!isset($_POST["aplnot"])) { $aplnot=""; } else  {  $aplnot =$_POST["aplnot"]; }

 $numfac =$_POST["numfac"];
 $posicion =$_POST["posicion"];
 $hoy    =date("y-m-d");
 
 
 	$totabo        =0;
	$basesalfac    =0;
	$baseintereses =0;
	$baseabono     =0;
	$baseabonoint  =0;
	$saldo_total   =0;
	$basetotpago   =0;
    $basetotpago2  =0;
    $baseporpagar  =0;
    $basesaldos    =0;


?>

<?php	
	if ($aplnot==1 ){ //////////////////////// si es aplicada a factura ///////////////////////
	$posicion=0;
	
		$consulta1 = "DELETE FROM pagos_clientes_recibos_lineastmp  WHERE numrec ='$numrec'";
		$mysqli->query($consulta1);	

if ($result2 = $mysqli->query("SELECT * FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY numfac ASC" )) {
  $filas = $result2->num_rows;
     $result2->close();
}
	
if ($filas > 0 ){     // si encuentra facturas pendientes al cliente 

$contador=0;	
$consulta = "SELECT * FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY fecfac ASC , NUMFAC ASC";

if ($resultado = $mysqli->query($consulta)) 

    while ($fila = $resultado->fetch_assoc()) {
		

        $numfac = $fila["NUMFAC"];
        $fecfac = $fila["FECFAC"];
        $pladia = $fila["PLADIA"];
		$salact = $fila["SALACT"];
		$totfac = $fila["TOTNET"];
		$fecven = $fila["FECVEN"];
		

		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 && $tazint  > 0 ) {
		
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$monint=$saldo*$dias;
		$intfac=$saldo*$dias;
		$monint=round($monint,2);
		$intfac=round($intfac,2);
		} else {
		$monint=0;
		$intfac=0;
	}
	
	
	
	if ($preciototal > 0){	   // si el abono es mayor a cero /////////////////////////////////////////////////////
	
		if ($preciototal >= ($salact + $monint)){	

	       $saldo_factura=$salact-$salact;
		    $preciototal=$preciototal-$salact-$monint;
				$monabo=$salact;
				
		//	echo "RECIBO POR MONTO TOTAL ";			
	
      	} else if ($preciototal == 0	) {
	    
		   $saldo_factura=$salact;
		   $monabo=0;
		   $preciototal=0;
		   $monint=0;
			
		
		} else {
		

		
		
	
		if ($preciototal  >= $monint) {
		
    //	echo "precio es mayor a los intereses ";
	
		    $saldo_factura=$salact-($preciototal-$monint);
			$monabo=$preciototal-$monint;
		    $preciototal=$preciototal-$preciototal;
	
			} else {
						?>
						<script>
			parent.document.form_busqueda.monabo.value="0.00"; //    cambio version   8.0.2
			parent.window.buscar();	
			alert("Verifique el monto del abono no es suficiente para cancelar los intereses de la factura  lllllllllllllllllllllllllll ");

					</script>
		<?php
			
		
    //	echo "precio es menor los intereses ";	
		}
	
		}
		
		
				$sel_insertar3="INSERT INTO pagos_clientes_recibos_lineastmp (numrec,numlinea,salfac,borrado,cdgcli,numfac,totfac,monabo, monint,intfac, fecfac ) VALUES 
		('$numrec','','$saldo_factura','0','$cdgcli','$numfac','$salact','$monabo' ,'$monint','$intfac','$fecfac')";
		$mysqli->query($sel_insertar3);	
	
			
	//echo "tiene abono MAYOR A CERO";
	

	} else {   //  si el monto de abono es cero 
	
	
		if ( $pordes > 0 && $descuento ==1) {
	
//	echo "tiene descuento";
	$monabo = $salact *  $pordes/100;
	$saldo_factura = $salact - $monabo;
	
			$sel_insertar3="INSERT INTO pagos_clientes_recibos_lineastmp (numrec,numlinea,salfac,borrado,cdgcli,numfac,totfac,monabo, monint,intfac, fecfac ) VALUES 
		('$numrec','','$saldo_factura','0','$cdgcli','$numfac','$salact','$monabo' ,'$monint','$intfac','$fecfac')";
		$mysqli->query($sel_insertar3);	
	
	}else {
	
	
	//echo "tiene abono cero";
	
		$sel_insertar3="INSERT INTO pagos_clientes_recibos_lineastmp (numrec,numlinea,salfac,borrado,cdgcli,numfac,totfac,monabo, monint,intfac, fecfac ) VALUES 
		('$numrec','','$salact','0','$cdgcli','$numfac','$salact','0' ,'0','$intfac','$fecfac')";
		$mysqli->query($sel_insertar3);	
	
}		
	
}

		$contador++;

					
}

				} else {   //  si no encuentra ninguna factura pendiente de cobro 
						?>

  <table class="fuente8" width="98%" cellspacing=0 cellpadding=0 border=0>
				<tr>
		<td width="98%" class="mensaje"><?php echo "El Cliente no tiene facturas pendientes ";?></td>
        	
            		<script>
	 	
				parent.document.getElementById("cdgcli").select();
				
					</script>
	      </tr>
	  </table>
		<?php
 
	} 


	}elseif ($aplnot==2){
		
 }


		
	  ?>
				

  <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
  
  

						
						
<?php
	$contador=0;
	
	$sel_lineas="SELECT * FROM pagos_clientes_recibos_lineastmp WHERE numrec='$numrec' ORDER BY numlinea ASC";
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila = $resultado->fetch_assoc()) {
		

        $numlinea = $fila["numlinea"];
        $salfac   = $fila["salfac"];
		$numfactura    = $fila["numfac"];
	//	$numfactura    = substr($numfactura, -20);
		$numfac   = $fila["numfac"];		
		$monabo   = $fila["monabo"];
		$totfac   = $fila["totfac"];
		$monint   = $fila["monint"];
		$intfac   = $fila["intfac"];
		$fecfac   = $fila["fecfac"];
		
		
		$segundos=strtotime($hoy) - strtotime($fecfac);
		$dia_vencido=intval($segundos/60/60/24);

	$fecfac= implode("-", array_reverse(explode("-", $fecfac)));
	
	$totabo=$monabo+$monint;
	$basesalfac=$basesalfac+$totfac;
	$baseintereses=$baseintereses+$intfac;
	$baseabono=$monabo+$baseabono;
	$baseabonoint=$monint+$baseabonoint;
	$saldo_total=$totfac+$intfac-$totabo;

  $aplnot=2;  // Devuelve el valor chkbox de aplicar a factura 
  
  

	
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }

		?>
								
	<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
			  <td width="14%"><div align="center"><?php echo $numfactura?></div></td>
				<td width="14%"><div align="center"><?php echo $fecfac?></div></td>
				<td width="11%"><div align="right"><?php echo number_format($totfac,2,".",",")?></div></td>
			  <td width="15%"><div align="right"><?php echo number_format($intfac,2,".",",")?></div></td>
			  <td width="14%"><div align="right"><?php echo number_format($monabo,2,".",",")?></div></td>
			  <td width="18%"><div align="right"><?php echo number_format($monint,2,".",",")?></div></td>
			  <td width="14%"><div align="right"><?php echo number_format($saldo_total,2,".",",")?></div></td>
     
		 

                <?php 
			$contador++;	
				  ?> 
		    </tr>

<?php 
$basetotpago=$baseabono+$baseabonoint;
$basetotpago2=$baseabono+$baseabonoint;
$baseporpagar=$basesalfac+$baseintereses;
$basesaldos=$baseporpagar-$basetotpago;
$basetotpago=number_format($basetotpago,2,".",",");


if ($result = $mysqli->query("SELECT * FROM pagos_clientes_recibos_lineastmp   WHERE numrec='$numrec'" )) {
   $filas = $result->num_rows;
   $result->close();
}




			
}



?>


</table>



<div id="ztotalesawrecibos" >
			 <table width="100%" border=0  cellpadding=0 cellspacing=0>
			  <tr>
			    <td width="15%" bgcolor="#FFFFFF" >TOTALES</td>
			    <td width="8%" align="right"><input   name="basetotpago2" class="cajaGrande" style='text-align:right;' type="hidden" id="basetotpago2"  value="<?php echo $basetotpago2;?>" readonly></td>
			    <td width="10%" align="right"><input  border="0" name="basesalfac"  class="cajaGrande" type="text" id="basesalfac" style='text-align:right;' value="<?php echo number_format($basesalfac,2,".",",");?>" align="right" readonly></td>
			    <td width="11%" align="right"><input  name="baseintereses" class="cajaGrande" style='text-align:right;' type="text" id="baseintereses"  value="<?php echo number_format($baseintereses,2,".",",");?>" align="right"  border="0" readonly></td>
			    <td width="12%" align="right"><input  name="baseabono"  class="cajaGrande"style='text-align:right;' type="text" id="baseabono"  value="<?php echo number_format($baseabono,2,".",",");?>" align="right" readonly>			      <b></td>
			    <td width="10%"  align="right"><input  name="baseabonoint" type="text" id="baseabonoint"  class="cajaGrande"style='text-align:right;' value="<?php echo number_format($baseabonoint,2,".",".");?>"  align="right" readonly></td>
			    <td width="10%"  align="right"><input   name="basetotpago" class="cajaGrande" style='text-align:right;' type="text" id="basetotpago"  value="<?php echo $basetotpago;?>" readonly></td>
		       <input name="posicion" type="hidden"  class="cajaGrande" id="posicion" style='text-align:right;' value="<?php echo $posicion?>" readonly>

			    <td width="11%"  align="right"><input name="basesaldos" type="text"  class="cajaGrande" id="basesaldos" style='text-align:right;' value="<?php echo number_format($basesaldos,2,".",",");?>" readonly>			    </td>
	  </tr>  <td width="14%"  align="right"></td>
  </table>
			
				
		 <script languaje="javascript">
pon_prefijo("<?php echo $baseporpagar ?>","<?php echo $basetotpago ?>");</script>
</div> 
</body>
</html>
